/*
 * Convert douments from samanala ver1 to samanala ver2
 * Vasantha Saparamadu <vsaparam@ocs.mq.edu.au>
 * 27 June 1996
 */

%s SAMANALA
%s NIL

%%

"#SAMANALA"		ECHO;
"#S"			{BEGIN(SAMANALA); ECHO;}
"#N"			{BEGIN(NIL); ECHO;}
<SAMANALA>ng		printf("\"ng");
<SAMANALA>nd		printf("\"nd");
<SAMANALA>ndh		printf("\"ndh");
<SAMANALA>mb		printf("\"mb");
<SAMANALA>\"n_dh	printf("\"n_dh");
<SAMANALA>n_g		printf("ng");
<SAMANALA>n_d		printf("nd");
<SAMANALA>n_dh		printf("ndh");
<SAMANALA>m_b		printf("mb");
"\\"[A-Za-z]+			ECHO;

%%

main()
{
	yylex();
	return 0;
}

yywrap()
{
	return 1;
}
